Issue 71258 - view property ShowHiddenCharacter is not accessible via com.sun.star.text.ViewSettings
Summary: view property ShowHiddenCharacter is not accessible via com.sun.star.text.Vie...
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@api
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-06 13:26 UTC by clutz
Modified: 2013-02-24 21:09 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Sample document containing slightly modified Macro (11.98 KB, application/vnd.oasis.opendocument.text)
2008-05-27 16:41 UTC, michael.ruess
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description clutz 2006-11-06 13:26:16 UTC
Working with textdocuments, the controller provides the property ViewSettings
which could be used to change the visibility of text elements. 

viewsetting = thiscomponent.getCurrentController().getViewSettings()

So for example for a Textfield of type "HiddenParagraph" there is an option
"ShowHiddenParagraphs". And for a TextField of type "HiddenText", there is
another option "ShowHiddenText". All these options correspond to the
configuration options "Tools->Options/Writer/FormattingAids/(show) ..."

But there is no corresponding option for text portions with hidden characters
("Tools->Options/Writer/FormattingAids/(show) Hidden Characters". I would expect
an (optional) option called "ShowHiddenCharacters" in the service
com.sun.star.text.ViewSettings that could be used to change the visibility of
hidden characters of a view via API.
Comment 1 jsc 2006-11-06 15:41:26 UTC
jsc -> fme: you have volunteered on dev@oo for this issue ;-)
Comment 2 frank.meies 2006-11-06 16:07:33 UTC
.
Comment 3 frank.meies 2008-01-14 09:32:51 UTC
fme->os: Please have a look and decide how to proceed. Can we add a new optional
property in ViewSettings.idl?
Comment 4 Oliver Specht 2008-01-14 10:35:10 UTC
Target set to 3.0
Comment 5 Oliver Specht 2008-04-28 14:26:26 UTC
Fixed in cws os113 in 
sw/source/ui/uno/unomod.cxx
offapi/com/sun/star/text/ViewSettings.idl

Additionally the property ShowNonprintingCharacters has been added.
Comment 6 Oliver Specht 2008-05-22 11:42:18 UTC
Reassigned for verification
Comment 7 Oliver Specht 2008-05-27 13:04:35 UTC
To check this use the following BASIC macro. Each time the macro is called it
prints the current setting and then inverts it.

Sub Main
xviewsettings = thiscomponent.getcurrentcontroller.getviewsettings
print xviewsettings.ShowNonprintingCharacters
xviewsettings.ShowNonprintingCharacters = NOT
xviewsettings.ShowNonprintingCharacters
End Sub
Comment 8 michael.ruess 2008-05-27 16:39:39 UTC
Verified in CWS os113.
Comment 9 michael.ruess 2008-05-27 16:41:18 UTC
Created attachment 53985 [details]
Sample document containing slightly modified Macro
Comment 10 michael.ruess 2008-07-14 12:54:37 UTC
Checked in DEV300m24.